# -*- coding: utf-8 -*-
"""
@Time: 2021/7/1 17:09
@Author: zzhang zzhang@cenboomh.com
@File: format.py
@desc:
"""
from collect.service_imp.common.filters.template_tool import TemplateTool
from collect.service_imp.request_rules.base_rule import BaseRule
from collect.utils.collect_utils import get_safe_data


class TemplateData(BaseRule):

    def handler(self, params, config_params, template=None):
        # 计算format
        for key in config_params:
            config_param = config_params[key]

            templ = get_safe_data(self.get_template_name(), config_param)
            if templ:
                try:

                    template_tool = TemplateTool(op_user=self.op_user)
                    value = template_tool.render(templ, params, config_params, template)
                    params[key] = value
                except Exception as e:
                    return self.fail(msg=str(e) + " {template} 字段有问题".format(template=template))
        return self.success(params)
